/*Schulte*/

package com.bib.essensbestellungsverwaltung;

import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.*;

import java.net.URL;
import java.util.ArrayList;
import java.util.Formattable;
import java.util.List;
import java.util.ResourceBundle;

public class ChildViewController implements Initializable {

    @FXML
    public TextField name;
    @FXML
    public TextField lastname;
    @FXML
    public TextField street;
    @FXML
    public TextField number;
    @FXML
    public TextField plz;
    @FXML
    public TextField city;
    //@FXML
    //public ComboBox group;
    //@FXML
    //public TextField age;
    //@FXML
    //public TextField allergies;
    @FXML
    public ListView allergiesList;
    ObservableList olAllergiesList;
    @FXML
    public ComboBox selectAllergy;
    @FXML
    public ComboBox selectAllergySeverity;



    @FXML
    protected void onBtClick(){

        boolean childData = false;

        String childName = name.getText();
        String childLastname = lastname.getText();

        String streetString = street.getText();
        String numberString = number.getText();
        String plzString = plz.getText();
        String cityString = city.getText();



        if(childName.isEmpty() || childLastname.isEmpty() || streetString.isEmpty() || numberString.isEmpty() ||plzString.isEmpty() || cityString.isEmpty()){
            Alert alert = new Alert(Alert.AlertType.ERROR);
            alert.setTitle("Felder");
            alert.setHeaderText("Eingabe unvollständig");
            alert.setContentText("Bitte füllen sie alle Felder aus");
            alert.showAndWait();
        }
        else childData = true;



        if(childData) {


            Address adress = AccountMgr.currentUser.getAddress();

            var olChildAllergyList = allergiesList.getItems();
            List<AllergySeverity> childAllergyList = new ArrayList<>();
            for (var o : olChildAllergyList) {
                childAllergyList.add((AllergySeverity) o);
            }
            ArrayList<AllergySeverity> allergySeverityArrayList = new ArrayList<>();

            /*for (AllergySeverity a : childAllergyList) {
                AllergySeverity aS = new AllergySeverity(a, )
            }          */                                       //Allergy Severity doesn't work in my case so the List will be left empty for now


            Child child = new Child(childLastname, childName, adress, childAllergyList);

            System.out.println(AccountMgr.createChild(child));

            Alert alert = new Alert(Alert.AlertType.INFORMATION);
            alert.setTitle("Bestätigung");
            alert.setHeaderText("Bestätigung");
            alert.setContentText("Ihr Kind " + childName + " " + childLastname + " wurde Erfolgreich angelegt");
            alert.showAndWait();
        }


    }

    public ArrayList<Allergy> allergyComboBox(){
        ArrayList<Allergy> allergyArrayList = new ArrayList<>();
        for (int i = 1; i < 23; i++){
            Allergy a =  FoodMgr.getAllergyById(i);
            allergyArrayList.add(a);
        }
        return allergyArrayList;
    }


    @FXML
    public void addAllergy() {

        boolean allergyEmpty = (selectAllergy.getValue() == "Allergie Wählen");
        boolean severityEmpty = (selectAllergySeverity.getValue() == "Schwere");

        if(allergyEmpty || severityEmpty) {
            Alert alert = new Alert(Alert.AlertType.ERROR);
            alert.setTitle("Fehler");
            alert.setHeaderText("Ungültige Auswahl");
            alert.setContentText("Bitte Wählen Sie Allergie und schwere aus");
            alert.showAndWait();
        }



        Allergy addedAllergy = (Allergy)selectAllergy.getValue();
        long addedSeverityId = Long.parseLong(selectAllergySeverity.getValue().toString().split(":")[0]);
        String addedSeverity = selectAllergySeverity.getValue().toString().split(":")[1];
        olAllergiesList.add(new AllergySeverity(addedAllergy,addedSeverityId,addedSeverity));
        allergiesList.setItems(olAllergiesList);


        selectAllergy.setValue("Allergie Wählen");
        selectAllergySeverity.setValue("Schwere");

    }

    @Override
    public void initialize(URL url, ResourceBundle resourceBundle) {
        ObservableList<Allergy> olAll = FXCollections.observableArrayList(allergyComboBox());
        selectAllergy.setItems(olAll);
        //selectAllergy.getItems().addAll(allergyComboBox());
        olAllergiesList = FXCollections.observableArrayList();

        ObservableList olSev = FXCollections.observableArrayList();
        olSev.add("1:Harmlos");
        olSev.add("2:Warnung");
        olSev.add("3:Kritisch");
        selectAllergySeverity.setItems(olSev);
    }
}
