package com.bib.essensbestellungsverwaltung;

import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.DatePicker;
import javafx.scene.control.ListView;

import java.time.LocalDate;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;

public class DailyOrderController {
    public ListView listView;
    public DatePicker datePicker;
    public Button sendButton;


    @FXML
    public void initialize() {
        datePicker.setValue(LocalDate.now());
        updatePlan(datePicker.getValue().toString());
    }

    public void onChangeDate(ActionEvent actionEvent) {
        updatePlan(datePicker.getValue().toString());
    }


    private void updatePlan(String date){
        listView.getItems().clear();
        System.out.print("Orders from " + date + " : ");
        List<String> orders = new ArrayList<>();
        FoodPlan food_plan = FoodMgr.getFoodPlan(date);
        if(food_plan == null){
            sendButton.setVisible(false);
            return;
        }
        sendButton.setVisible(true);
        if(food_plan.isSent()){
            sendButton.setDisable(true);
            sendButton.setText("Bestellung wurde Gesendet");
        }else {
            sendButton.setDisable(false);
            sendButton.setText("Bestellung senden");
        }
        String sId = String.valueOf(food_plan.getId());
        String[] food_selectionH = {"food_planid","foodid"};
        Food[] foodArray = {
                food_plan.getFoodVegan(),
                food_plan.getFoodSecond(),
                food_plan.getDessertVegan(),
                food_plan.getDessertSecond()
        };
        for(int i = 0; i < 4; i++){
            String foodName = foodArray[i].getName();
            String[] food_selectionD = {sId, String.valueOf(foodArray[i].getId())};
            int count = Database.count("food_selection",food_selectionH,food_selectionD);
            orders.add(count+" X "+foodName);
        }

        System.out.println(orders);


        for(String order : orders){
            listView.getItems().add(order);
        }
    }

    public void onSendButton(ActionEvent actionEvent) {
        FoodMgr.getDayOrder(datePicker.getValue().toString());
        sendButton.setDisable(true);
        sendButton.setText("Bestellung wurde Gesendet");
    }
}
