/**
 * @autor: Reshad Meher
 */
package com.bib.essensbestellungsverwaltung;

import javafx.fxml.FXML;
import javafx.scene.control.Alert;
import javafx.scene.control.PasswordField;
import javafx.scene.control.TextField;

import java.io.IOException;

public class SingUpController {
    @FXML
    private TextField tfLastName;
    @FXML
    private TextField tfFirstName;
    @FXML
    private TextField tfEmail;
    @FXML
    private PasswordField pfPassword;
    @FXML
    private TextField tfPostCode;
    @FXML
    private TextField tfCity;

    @FXML
    private TextField tfStreet;
    @FXML
    private TextField tfHouseNumber;
    @FXML
    private void onKontoErstellenBtClick(){
        String lastName = tfLastName.getText();
        String firstName = tfFirstName.getText();
        String email = tfEmail.getText();
        String password = pfPassword.getText();
        String postCode = tfPostCode.getText();
        String city = tfCity.getText();
        String street = tfStreet.getText();
        String houseNumber = tfHouseNumber.getText();
        Alert alert;
        if(lastName.isEmpty() || firstName.isEmpty() || email.isEmpty() || password.isEmpty() || postCode.isEmpty() ||
                city.isEmpty() || street.isEmpty() || houseNumber.isEmpty()){

            if(lastName.isEmpty()){
                alert = new Alert(Alert.AlertType.ERROR," Die Eingabefeld 'Name'  ist leer.");
                alert.showAndWait();
            } else if (firstName.isEmpty()) {
                alert = new Alert(Alert.AlertType.ERROR," Die Eingabefeld  'Vorname' ist leer.");
                alert.showAndWait();
            } else if (email.isEmpty()) {
                alert = new Alert(Alert.AlertType.ERROR," Die Eingabefeld 'E-Mail' ist leer.");
                alert.showAndWait();
            } else if (password.isEmpty()) {
                alert = new Alert(Alert.AlertType.ERROR," Die Eingabefeld 'Passwort' ist leer.");
                alert.showAndWait();
            } else if (postCode.isEmpty()) {
                alert = new Alert(Alert.AlertType.ERROR," Die Eingabefeld 'Postleitzahl' ist leer.");
                alert.showAndWait();
            } else if (city.isEmpty()) {
                alert = new Alert(Alert.AlertType.ERROR," Die Eingabefeld 'Stadt' ist leer.");
                alert.showAndWait();
            } else if (street.isEmpty()) {
                alert = new Alert(Alert.AlertType.ERROR," Die Eingabefeld  'Straße' ist leer.");
                alert.showAndWait();
            }else {
                alert = new Alert(Alert.AlertType.ERROR," Die Eingabefeld  'Hausnummer' ist leer.");
                alert.showAndWait();
            }

        }else {
            Address newAdresse = new Address(street,houseNumber,postCode,city);
            User newUser = new User(lastName,firstName,password,email,newAdresse);
            if(StartViewApplication.firstLaunch){
                long id = AccountMgr.createWorker(new Worker(newUser));
                if(id < 1) {
                    Alert a = new Alert(Alert.AlertType.ERROR,"Es ist ein Fehler bei der Erstellung Ihres Accounts aufgetreten.");
                    a.showAndWait();
                    return;
                }
                alert = new Alert(Alert.AlertType.CONFIRMATION,"Mitarbeiter Account erfolgreich erstellt");
                alert.showAndWait();
                StartViewApplication.firstLaunch = false;
            }else {
                long id = AccountMgr.createParent(new Parent(newUser));
                if(id < 1) {
                    Alert a = new Alert(Alert.AlertType.ERROR,"Es ist ein Fehler bei der Erstellung Ihres Accounts aufgetreten.");
                    a.showAndWait();
                    return;
                }
                alert = new Alert(Alert.AlertType.CONFIRMATION,"Eltern Account erfolgreich erstellt");
                alert.showAndWait();
            }
            tfLastName.setText("");
            tfFirstName.setText("");
            tfEmail.setText("");
            pfPassword.setText("");
            tfPostCode.setText("");
            tfCity.setText("");
            tfStreet.setText("");
            tfHouseNumber.setText("");
        }

    }

    @FXML
    private void onAnmeldenBtClick() throws IOException {
        StartViewApplication.changeScene("login-view.fxml");
    }
}
