package com.bib.essensbestellungsverwaltung;

import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.control.Button;
import javafx.scene.input.MouseEvent;
import javafx.scene.layout.BorderPane;

import java.io.IOException;

public class WorkerMenuController {
    @FXML
    public BorderPane contentView;
    @FXML
    Button tagesbestellungButton;
    @FXML
    Button wochenplanButton;
    @FXML
    Button monatsabrechnungButton;
    @FXML
    Button mitarbeiterButton;
    @FXML
    Button mahlzeitButton;
    @FXML
    Button einstellungenButton;

    @FXML
    public void initialize() {
        changePage("dailyOrder-view.fxml");
        setButtonActive(tagesbestellungButton);
    }

    @FXML
    public void onTagesbestellungenClick(MouseEvent mouseEvent) {
        changePage("dailyOrder-view.fxml");
        setButtonActive(tagesbestellungButton);
    }

    @FXML
    public void onWochenplanClick(MouseEvent mouseEvent) {
        changePage("createFoodplan-view.fxml");
        setButtonActive(wochenplanButton);
    }

    @FXML
    public void onMonatsabrechnungClick(MouseEvent mouseEvent) {
        changePage("invoice-view.fxml");
        setButtonActive(monatsabrechnungButton);
    }


    @FXML
    public void onMitarbeiterClick(MouseEvent mouseEvent) {
        changePage("createCoworker-view.fxml");
        setButtonActive(mitarbeiterButton);
    }


    @FXML
    public void onMahlzeitClick(MouseEvent mouseEvent) {
        changePage("createFood-view.fxml");
        setButtonActive(mahlzeitButton);
    }


    public void onEinstellungenClick(MouseEvent mouseEvent) {
        setButtonActive(einstellungenButton);
    }

    @FXML
    public void onAusloggenClick(MouseEvent mouseEvent) throws IOException {
        AccountMgr.currentUser = null;
        StartViewApplication.changeScene("login-view.fxml");
    }

    private void changePage(String page) {
        try {
            Parent root = FXMLLoader.load(getClass().getResource(page));
            contentView.setCenter(root);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    private void setButtonActive(Button b) {
        tagesbestellungButton.getStyleClass().remove("active");
        monatsabrechnungButton.getStyleClass().remove("active");
        wochenplanButton.getStyleClass().remove("active");
        mahlzeitButton.getStyleClass().remove("active");
        mitarbeiterButton.getStyleClass().remove("active");
        einstellungenButton.getStyleClass().remove("active");
        b.getStyleClass().add("active");
    }
}
